package com.fs.oms.service;

import java.util.List;
import com.fs.oms.domain.OmsPurchaseOrder;
import com.fs.oms.vo.OmsPurchaseOrderVO;

/**
 * oms采购单Service接口
 *
 * @author oms
 * @date 2023-07-03
 */
public interface IOmsPurchaseOrderService
{
    /**
     * 查询oms采购单
     *
     * @param id oms采购单ID
     * @return oms采购单
     */
    public OmsPurchaseOrder selectOmsPurchaseOrderById(Long id);

    /**
     * 查询oms采购单列表
     *
     * @return oms采购单集合
     */
    public List<OmsPurchaseOrderVO> selectOmsPurchaseOrderList(OmsPurchaseOrderVO omsPurchaseOrderVO);

    /**
     * 新增oms采购单
     *
     * @param omsPurchaseOrder oms采购单
     * @return 结果
     */
    public int insertOmsPurchaseOrder(OmsPurchaseOrder omsPurchaseOrder);

    /**
     * 修改oms采购单
     *
     * @param omsPurchaseOrder oms采购单
     * @return 结果
     */
    public int updateOmsPurchaseOrder(OmsPurchaseOrder omsPurchaseOrder);

    /**
     * 批量删除oms采购单
     *
     * @param ids 需要删除的oms采购单ID
     * @return 结果
     */
    public int deleteOmsPurchaseOrderByIds(Long[] ids);

    /**
     * 删除oms采购单信息
     *
     * @param id oms采购单ID
     * @return 结果
     */
    public int deleteOmsPurchaseOrderById(Long id);
}
